Skip to main content
PUT
/
gpus
/
v2
/
instances
/
{instance_id}
/
auto-renew
Set Instance Auto Renew
curl --request PUT \
  --url https://api.novita.ai/gpus/v2/instances/{instance_id}/auto-renew \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "auto_renew": {
    "enabled": true,
    "months": 1
  }
}
'
import requests

url = "https://api.novita.ai/gpus/v2/instances/{instance_id}/auto-renew"

payload = { "auto_renew": {
"enabled": True,
"months": 1
} }
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({auto_renew: {enabled: true, months: 1}})
};

fetch('https://api.novita.ai/gpus/v2/instances/{instance_id}/auto-renew', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Headers

Content-Type
string
required

Allowed value: application/json.

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Path Parameters

instance_id
string
required

Instance ID. String, length: 1-255 characters.

Body

application/json
auto_renew
object
required

Auto-renew configuration.

Response

200 - application/json

OK

The response is of type object.

Last modified on June 26, 2026